BimpДовідка

Договори: методи API Bimp

Методи API Bimp для ресурсу «Договори» (/org2/contract/…): 6 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/contract/api-readA request to obtain detailed information for a particular contract
POST /org2/contract/api-readTypesA request to obtain detailed information about contract types
POST /org2/contract/api-readStatusesA request to obtain detailed information about contract statuses
POST /org2/contract/api-readListA request to view a list of users contracts
POST /org2/contract/api-createA request to create a new user contract
POST /org2/contract/api-updateA request to update user contract

api-read

POST /org2/contract/api-read

A request to obtain detailed information for a particular contract

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for user contract

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)A unique uuid key for user`s contract
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
namestringContract name
numberstringThe contract number
printNamestringPrintable name
codestring
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
priceListstring (uuid)A unique identifier for the Price List, obtainable from the /priceList/api-readList request
mainboolean
managerstring (uuid)A unique identifier for the Manager, obtainable from the /user/api-readList request
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
statusstring (uuid)
contractTypenumberA code for the Contract type, obtainable from the /contract/api-readTypes request
currencyRateSourcenumber
сurrencyRateCalculationPercentagenumber
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readTypes

POST /org2/contract/api-readTypes

A request to obtain detailed information about contract types

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestring
[].codenumber
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readTypes' \
  -H 'access-token: <токен компанії>'

api-readStatuses

POST /org2/contract/api-readStatuses

A request to obtain detailed information about contract statuses

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestring
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readStatuses' \
  -H 'access-token: <токен компанії>'

api-readList

POST /org2/contract/api-readList

A request to view a list of users contracts

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestring
[].numberstringThe contract number
[].isMainboolean
[].counterpartyobject
[].counterparty.namestring
[].counterparty.uuidstring (uuid)
[].currencyobject
[].currency.namestring
[].currency.uuidstring (uuid)
[].settlementTypeobject
[].settlementType.namestring
[].settlementType.uuidstring (uuid)
[].statusobject
[].status.namestring
[].status.uuidstring (uuid)
[].projectobject
[].project.namestring
[].project.uuidstring (uuid)
[].contractTypeobject
[].contractType.namestring
[].contractType.uuidstring (uuid)
[].contractType.codestring
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{}'

api-create

POST /org2/contract/api-create

A request to create a new user contract

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
namestringтакContract name
counterpartystring (uuid)такA unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
currencystring (uuid)такA unique identifier for the Currency, obtainable from the /currency/api-readList request
contractTypenumberтакA code for the Contract type, obtainable from the /contract/api-readTypes request
commentstringAn optional text field for any additional notes or comments related to the document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
priceListstring (uuid)A unique identifier for the Price List, obtainable from the /priceList/api-readList request
managerstring (uuid)A unique identifier for the Manager, obtainable from the /user/api-readList request
statusstring (uuid)
numberstringThe contract number

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string","counterparty":"00000000-0000-0000-0000-000000000000","lineOfBusiness":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","project":"00000000-0000-0000-0000-000000000000","currency":"00000000-0000-0000-0000-000000000000","contractType":1}'

api-update

POST /org2/contract/api-update

A request to update user contract

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for user`s contract
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
namestringContract name
numberstringThe contract number
printNamestringPrintable name
codestring
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
priceListstring (uuid)A unique identifier for the Price List, obtainable from the /priceList/api-readList request
managerstring (uuid)A unique identifier for the Manager, obtainable from the /user/api-readList request
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
statusstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.